EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 o EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

[OPCIONS]

--compress-images, -i
    Losslessly compress images in the book, to reduce the filesize, without affecting image quality.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Incrusta totes les lletres referenciades al document que encara no ho estan. S'escanejarà l'ordinador cercant les lletres i, si es troben, s'incrustaran al document. Assegureu-vos que teniu una llicència adequada per incrustar les lletres que s'utilitzen en aquest document.

--help, -h
    mostra aquest missatge d'ajut i surt

--jacket, -j
    Inserció d'una pàgina de «sobrecoberta» al començament del llibre que en contingui totes les metadades com el títol, etiquetes, autors, sèrie, comentaris… Se substituirà qualsevol sobrecoberta anterior.

--opf, -o
    Camí a un fitxer OPF. Les metadades del llibre s'actualitzen des del fitxer OPF.

--remove-jacket
    Suprimeix una pàgina de sobrecoberta inserida prèviament.

--remove-unused-css, -u
    Suprimeix totes les regles CSS que no s'utilitzen dels fulls d'estil i etiquetes <style>. Alguns llibres creats a partir de plantilles de producció poden contenir un gran nombre de regles CSS addicionals que no coincideixen amb cap contingut real. Aquestes regles addicionals poden alentir els lectors que necessiten analitzar-les totes.

--smarten-punctuation, -p
    Converteix els guions, punts suspensius, cometes, guions múltiples… de text net en els equivalents tipogràfics correctes. Tingueu en compte que l'algorisme pot generar algun cop resultats incorrectes, especialment quan hi ha cometes senzilles al començament de contraccions.

--subset-fonts, -f
    Fer un subconjunt de lletres significa que es redueix una lletra incrustada perquè només contingui els caràcters utilitzats de la lletra al llibre. Això redueix molt la mida dels fitxers de les lletres (normalment redueix la mida del fitxer de la lletra a la meitat. Per exemple, si el llibre utilitza una lletra específica per als encapçalaments, si en fem un subconjunt això reduirà la lletra perquè contingui els caràcters que hi ha als encapçalaments del llibre. O bé, si el llibre conté les versions en negreta i en cursiva d'una lletra però els textos en negreta o cursiva són poc freqüents o absents, les lletres en negreta o cursiva es poden reduir a només uns quants caràcters o es poden suprimir completament. L'únic inconvenient dels subconjunts de lletres és que si més tard decidiu afegir més text als llibres, el text que s'afegeixi podria no estar cobert pel subconjunt de la lletra.

--verbose
    Dóna una sortida més detallada, útil per depurar.

--version
    mostra el número de versió del programa i surt

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal